package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-06-20 14:27:35
 */
public class GroupChatDetailVO extends StoreGroupCommonVO implements Serializable {

    private static final long serialVersionUID = 6167364456793806166L;

    /**
     * 群id
     */
    private String groupChatId;

    /**
     * 群名称
     */
    private String groupChatName;

    /**
     *  群主id
     */
    private String staffId;


    /**
     *  群主code
     */
    private String staffCode;


    /**
     *  群主名称
     */
    private String staffName;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;


    /**
     * 群总人数
     */
    private Integer groupCustNum;

    /**
     * 新增群人数
     */
    private Integer newGroupCustNum;


    /**
     * 活跃群人数
     */
    private Integer actGroupCustNum;


    /**
     * 新退群人数
     */
    private Integer newExitGroupCustNum;

    /**
     * 群会话总条数
     */
    private Integer groupSessionsNum;


    public String getGroupChatId() {
        return groupChatId;
    }

    public void setGroupChatId(String groupChatId) {
        this.groupChatId = groupChatId;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getGroupCustNum() {
        return groupCustNum;
    }

    public void setGroupCustNum(Integer groupCustNum) {
        this.groupCustNum = groupCustNum;
    }

    public Integer getNewGroupCustNum() {
        return newGroupCustNum;
    }

    public void setNewGroupCustNum(Integer newGroupCustNum) {
        this.newGroupCustNum = newGroupCustNum;
    }

    public Integer getActGroupCustNum() {
        return actGroupCustNum;
    }

    public void setActGroupCustNum(Integer actGroupCustNum) {
        this.actGroupCustNum = actGroupCustNum;
    }

    public Integer getNewExitGroupCustNum() {
        return newExitGroupCustNum;
    }

    public void setNewExitGroupCustNum(Integer newExitGroupCustNum) {
        this.newExitGroupCustNum = newExitGroupCustNum;
    }

    public Integer getGroupSessionsNum() {
        return groupSessionsNum;
    }

    public void setGroupSessionsNum(Integer groupSessionsNum) {
        this.groupSessionsNum = groupSessionsNum;
    }
}
